org.apache.maven.scm

## Class ChangeFile

- java.lang.Object
- - org.apache.maven.scm.ChangeFile

- All Implemented Interfaces:
    Serializable

      public class ChangeFile
      extends Object
      implements Serializable

  A set of information about revisions of a file as returned by CVS's log command
  Version:
    $Id: ChangeFile.java 774900 2009-05-14 19:53:16Z olamy $
  Author:
    dIon Gillard , Emmanuel Venisse
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeFile(String name)` Constructor for the ChangeFile object without all details available
    `ChangeFile(String name, String rev)` Constructor for the ChangeFile object

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name attribute of the ChangeLogFile object.
    `String` | `getRevision()` Gets the revision attribute of the ChangeLogFile object.
    `void` | `setName(String name)` Setter for property name.
    `void` | `setRevision(String revision)` Setter for property revision.
    `String` | `toString()` Provide a version of the object as a string for debugging purposes

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeFile

          public ChangeFile(String name)

      Constructor for the ChangeFile object without all details available
      Parameters:
        `name` - file name

    - #### ChangeFile

          public ChangeFile(String name,
                    String rev)

      Constructor for the ChangeFile object
      Parameters:
        `name` - file name
        `rev` - latest revision of the file

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name attribute of the ChangeLogFile object.
      Returns:
        the file name

    - #### getRevision

          public String getRevision()

      Gets the revision attribute of the ChangeLogFile object.
      Returns:
        the latest revision of the file

    - #### setName

          public void setName(String name)

      Setter for property name.
      Parameters:
        `name` - New value of property name.

    - #### setRevision

          public void setRevision(String revision)

      Setter for property revision.
      Parameters:
        `revision` - New value of property revision.

    - #### toString

          public String toString()

      Provide a version of the object as a string for debugging purposes
      Overrides:
        `toString` in class `Object`
      Returns:
        a `String`made up of the properties of the object

Copyright © 2003–2015. All rights reserved.